commit:     3d5bc46ead23be7844f4c9657d6642531c7d9eaf
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 20 08:08:00 2017 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Jul 20 08:09:11 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d5bc46e

dev-libs/libbsd: BUmp to version 0.8.6

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-libs/libbsd/Manifest            |  1 +
 dev-libs/libbsd/libbsd-0.8.6.ebuild | 40 +++++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-libs/libbsd/Manifest b/dev-libs/libbsd/Manifest
index e8fec63467c..520fdb7ceb8 100644
--- a/dev-libs/libbsd/Manifest
+++ b/dev-libs/libbsd/Manifest
@@ -2,3 +2,4 @@ DIST libbsd-0.8.2.tar.xz 344292 SHA256 
b2f644cae94a6e2fe109449c20ad79a0f6ee4faec
 DIST libbsd-0.8.3.tar.xz 356772 SHA256 
934b634f4dfd865b6482650b8f522c70ae65c463529de8be907b53c89c3a34a8 SHA512 
155b895d6bd62b180718d65a2cda7484946c492d52735a57b51005705dfe4528b6a72e8745acea47b01fe68e3bbbe3c036c5e9998a8d06fc79efe2b96a04767f
 WHIRLPOOL 
ab74a85813ea3308e7e4c53b7a46f4b93e4dff4d091964a6347f9960729e8eb4c8a2a0866938de508caf47caf9371f14499fcb0cc4aa30da06f501f4ccad9ef2
 DIST libbsd-0.8.4.tar.xz 368396 SHA256 
217af1642915703151ea6df077311633dd6ad7bfa3c7e07dd9329a93f642cab3 SHA512 
83ca4733edad918a51096301480b702be96f064d7e731cc0870a78d6505574ac6f4edc101aae8b97ff430b2b3ae99e162660e7e3933d05caa14537e581926dc3
 WHIRLPOOL 
9e0cf7b0db53659d3cce19d2906092298da272dd52489f0820fc1df8a074c7f15e85b3fc4abf82e26b3c311df35ebdc96f06000f580458dc371eab0387d05a67
 DIST libbsd-0.8.5.tar.xz 370680 SHA256 
7647d024f41389305272c263da933a6f2a978213c1801592f47e68d83ac05b28 SHA512 
bb122862ce8b789e530e9ca1a777d4219db2066ad89fe6028a833a5dc33ac0cd6b553ef5a0a42962d4a594c1f410304fd553b8fab583db539989ec7cca85baf0
 WHIRLPOOL 
6a621bf56ec6660cef7663dec62c0623d85931a56239f435e60bff7df8c4150ef378bff03801f67f798d0e640dc1dd061457a3b6df6a2f3f20a03b66fba14ebd
+DIST libbsd-0.8.6.tar.xz 371112 SHA256 
467fbf9df1f49af11f7f686691057c8c0a7613ae5a870577bef9155de39f9687 SHA512 
ece01ced324f840c2cee6321c7dcf97ff123d55ea9f203c1ce35e1b46643dc7b34ef6dc6c8d128252b36848624850b40823411cc96b99a66a401eb1e9d8cea6b
 WHIRLPOOL 
e4f9b84fb9c0953fd1732725b481d04e69b03ceeb35ec708bd4ecf549e01c3787323d18d7d0058c293ea31e6d135e734c73345c5af1dabed36a9551bdf5e3dc5

diff --git a/dev-libs/libbsd/libbsd-0.8.6.ebuild 
b/dev-libs/libbsd/libbsd-0.8.6.ebuild
new file mode 100644
index 00000000000..c9b85c118e9
--- /dev/null
+++ b/dev-libs/libbsd/libbsd-0.8.6.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit multilib-minimal
+
+DESCRIPTION="An library to provide useful functions commonly found on BSD 
systems"
+HOMEPAGE="https://libbsd.freedesktop.org/wiki/";
+SRC_URI="https://${PN}.freedesktop.org/releases/${P}.tar.xz";
+
+LICENSE="BSD BSD-2 BSD-4 ISC"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux"
+IUSE="static-libs"
+
+DEPEND=">=sys-kernel/linux-headers-3.17"
+RDEPEND=""
+
+pkg_setup() {
+       local f="${EROOT}/usr/$(get_libdir)/${PN}.a"
+       local m="You need to remove ${f} by hand or re-emerge sys-libs/glibc 
first."
+       if ! has_version ${CATEGORY}/${PN}; then
+               if [[ -e ${f} ]]; then
+                       eerror "${m}"
+                       die "${m}"
+               fi
+       fi
+}
+
+multilib_src_configure() {
+       # The build system will install libbsd-ctor.a despite of 
USE="-static-libs"
+       # which is correct, see:
+       # 
https://cgit.freedesktop.org/libbsd/commit/?id=c5b959028734ca2281250c85773d9b5e1d259bc8
+       ECONF_SOURCE="${S}" econf $(use_enable static-libs static)
+}
+
+multilib_src_install() {
+       emake DESTDIR="${D}" install
+       find "${ED}" -name "*.la" -delete || die
+}

Reply via email to